<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
DatabaseEntry Members
DatabaseEntry Class Constructors Methods Properties See Also Send Feedback

The DatabaseEntry type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| DatabaseEntry | Overloaded.

# Methods

| Name | Description
--- | --- | ---
| Dispose | Release the resources held by the underlying C library.
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| Blob | Deprecated. Replaced by ExternalFile.
| Data | The byte string stored in or retrieved from a database
| ExternalFile | Whether the record data will be stored as an external file, regardless of size.
| Partial | Whether the DatabaseEntry is partial record.
| PartialLen | The byte length of the partial record being read or written by the application
| PartialOffset | The offset of the partial record being read or written by the application, in bytes.
| ReadOnly | Set this DatabaseEntry as read only - Berkeley DB cannot alter the entry.

# See Also

DatabaseEntry Class
BerkeleyDB Namespace